We recommend new projects start with resources from the AWS provider.
published on Monday, Mar 23, 2026 by Pulumi
We recommend new projects start with resources from the AWS provider.
published on Monday, Mar 23, 2026 by Pulumi
The AWS::ApiGatewayV2::Route resource creates a route for an API.
Using getRoute
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getRoute(args: GetRouteArgs, opts?: InvokeOptions): Promise<GetRouteResult>
function getRouteOutput(args: GetRouteOutputArgs, opts?: InvokeOptions): Output<GetRouteResult>def get_route(api_id: Optional[str] = None,
route_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetRouteResult
def get_route_output(api_id: Optional[pulumi.Input[str]] = None,
route_id: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetRouteResult]func LookupRoute(ctx *Context, args *LookupRouteArgs, opts ...InvokeOption) (*LookupRouteResult, error)
func LookupRouteOutput(ctx *Context, args *LookupRouteOutputArgs, opts ...InvokeOption) LookupRouteResultOutput> Note: This function is named LookupRoute in the Go SDK.
public static class GetRoute
{
public static Task<GetRouteResult> InvokeAsync(GetRouteArgs args, InvokeOptions? opts = null)
public static Output<GetRouteResult> Invoke(GetRouteInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetRouteResult> getRoute(GetRouteArgs args, InvokeOptions options)
public static Output<GetRouteResult> getRoute(GetRouteArgs args, InvokeOptions options)
fn::invoke:
function: aws-native:apigatewayv2:getRoute
arguments:
# arguments dictionaryThe following arguments are supported:
getRoute Result
The following output properties are available:
- Api
Key boolRequired - Specifies whether an API key is required for the route. Supported only for WebSocket APIs.
- List<string>
- The authorization scopes supported by this route.
- string
- The authorization type for the route. For WebSocket APIs, valid values are
NONEfor open access,AWS_IAMfor using AWS IAM permissions, andCUSTOMfor using a Lambda authorizer. For HTTP APIs, valid values areNONEfor open access,JWTfor using JSON Web Tokens,AWS_IAMfor using AWS IAM permissions, andCUSTOMfor using a Lambda authorizer. - Model
Selection stringExpression - The model selection expression for the route. Supported only for WebSocket APIs.
- Operation
Name string - The operation name for the route.
- Request
Models object The request models for the route. Supported only for WebSocket APIs.
Search the CloudFormation User Guide for
AWS::ApiGatewayV2::Routefor more information about the expected schema for this property.- Route
Id string - The route ID.
- Route
Key string - The route key for the route. For HTTP APIs, the route key can be either
$default, or a combination of an HTTP method and resource path, for example,GET /pets. - Route
Response stringSelection Expression - The route response selection expression for the route. Supported only for WebSocket APIs.
- Target string
- The target for the route.
- Api
Key boolRequired - Specifies whether an API key is required for the route. Supported only for WebSocket APIs.
- []string
- The authorization scopes supported by this route.
- string
- The authorization type for the route. For WebSocket APIs, valid values are
NONEfor open access,AWS_IAMfor using AWS IAM permissions, andCUSTOMfor using a Lambda authorizer. For HTTP APIs, valid values areNONEfor open access,JWTfor using JSON Web Tokens,AWS_IAMfor using AWS IAM permissions, andCUSTOMfor using a Lambda authorizer. - Model
Selection stringExpression - The model selection expression for the route. Supported only for WebSocket APIs.
- Operation
Name string - The operation name for the route.
- Request
Models interface{} The request models for the route. Supported only for WebSocket APIs.
Search the CloudFormation User Guide for
AWS::ApiGatewayV2::Routefor more information about the expected schema for this property.- Route
Id string - The route ID.
- Route
Key string - The route key for the route. For HTTP APIs, the route key can be either
$default, or a combination of an HTTP method and resource path, for example,GET /pets. - Route
Response stringSelection Expression - The route response selection expression for the route. Supported only for WebSocket APIs.
- Target string
- The target for the route.
- api
Key BooleanRequired - Specifies whether an API key is required for the route. Supported only for WebSocket APIs.
- List<String>
- The authorization scopes supported by this route.
- String
- The authorization type for the route. For WebSocket APIs, valid values are
NONEfor open access,AWS_IAMfor using AWS IAM permissions, andCUSTOMfor using a Lambda authorizer. For HTTP APIs, valid values areNONEfor open access,JWTfor using JSON Web Tokens,AWS_IAMfor using AWS IAM permissions, andCUSTOMfor using a Lambda authorizer. - model
Selection StringExpression - The model selection expression for the route. Supported only for WebSocket APIs.
- operation
Name String - The operation name for the route.
- request
Models Object The request models for the route. Supported only for WebSocket APIs.
Search the CloudFormation User Guide for
AWS::ApiGatewayV2::Routefor more information about the expected schema for this property.- route
Id String - The route ID.
- route
Key String - The route key for the route. For HTTP APIs, the route key can be either
$default, or a combination of an HTTP method and resource path, for example,GET /pets. - route
Response StringSelection Expression - The route response selection expression for the route. Supported only for WebSocket APIs.
- target String
- The target for the route.
- api
Key booleanRequired - Specifies whether an API key is required for the route. Supported only for WebSocket APIs.
- string[]
- The authorization scopes supported by this route.
- string
- The authorization type for the route. For WebSocket APIs, valid values are
NONEfor open access,AWS_IAMfor using AWS IAM permissions, andCUSTOMfor using a Lambda authorizer. For HTTP APIs, valid values areNONEfor open access,JWTfor using JSON Web Tokens,AWS_IAMfor using AWS IAM permissions, andCUSTOMfor using a Lambda authorizer. - model
Selection stringExpression - The model selection expression for the route. Supported only for WebSocket APIs.
- operation
Name string - The operation name for the route.
- request
Models any The request models for the route. Supported only for WebSocket APIs.
Search the CloudFormation User Guide for
AWS::ApiGatewayV2::Routefor more information about the expected schema for this property.- route
Id string - The route ID.
- route
Key string - The route key for the route. For HTTP APIs, the route key can be either
$default, or a combination of an HTTP method and resource path, for example,GET /pets. - route
Response stringSelection Expression - The route response selection expression for the route. Supported only for WebSocket APIs.
- target string
- The target for the route.
- api_
key_ boolrequired - Specifies whether an API key is required for the route. Supported only for WebSocket APIs.
- Sequence[str]
- The authorization scopes supported by this route.
- str
- The authorization type for the route. For WebSocket APIs, valid values are
NONEfor open access,AWS_IAMfor using AWS IAM permissions, andCUSTOMfor using a Lambda authorizer. For HTTP APIs, valid values areNONEfor open access,JWTfor using JSON Web Tokens,AWS_IAMfor using AWS IAM permissions, andCUSTOMfor using a Lambda authorizer. - model_
selection_ strexpression - The model selection expression for the route. Supported only for WebSocket APIs.
- operation_
name str - The operation name for the route.
- request_
models Any The request models for the route. Supported only for WebSocket APIs.
Search the CloudFormation User Guide for
AWS::ApiGatewayV2::Routefor more information about the expected schema for this property.- route_
id str - The route ID.
- route_
key str - The route key for the route. For HTTP APIs, the route key can be either
$default, or a combination of an HTTP method and resource path, for example,GET /pets. - route_
response_ strselection_ expression - The route response selection expression for the route. Supported only for WebSocket APIs.
- target str
- The target for the route.
- api
Key BooleanRequired - Specifies whether an API key is required for the route. Supported only for WebSocket APIs.
- List<String>
- The authorization scopes supported by this route.
- String
- The authorization type for the route. For WebSocket APIs, valid values are
NONEfor open access,AWS_IAMfor using AWS IAM permissions, andCUSTOMfor using a Lambda authorizer. For HTTP APIs, valid values areNONEfor open access,JWTfor using JSON Web Tokens,AWS_IAMfor using AWS IAM permissions, andCUSTOMfor using a Lambda authorizer. - model
Selection StringExpression - The model selection expression for the route. Supported only for WebSocket APIs.
- operation
Name String - The operation name for the route.
- request
Models Any The request models for the route. Supported only for WebSocket APIs.
Search the CloudFormation User Guide for
AWS::ApiGatewayV2::Routefor more information about the expected schema for this property.- route
Id String - The route ID.
- route
Key String - The route key for the route. For HTTP APIs, the route key can be either
$default, or a combination of an HTTP method and resource path, for example,GET /pets. - route
Response StringSelection Expression - The route response selection expression for the route. Supported only for WebSocket APIs.
- target String
- The target for the route.
Package Details
- Repository
- AWS Native pulumi/pulumi-aws-native
- License
- Apache-2.0
We recommend new projects start with resources from the AWS provider.
published on Monday, Mar 23, 2026 by Pulumi
